Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.view
Class InfomatModel

    java.lang.Object
      java.util.Observable
          infomat.view.InfomatModel

All Implemented Interfaces:
  HasProperties

    public class InfomatModel

extends java.util.Observable
implements HasProperties

The heart! Keeps track of what the corpus and other stuff contains.

Field Summary
`private AlgorithmFrame` | `algorithmFrame`
`private static java.lang.String` | `defaultSettingsFile`
`private EvaluationFrame` | `evaluationFrame`
`private ExportTextFrame` | `exportTextFrame`
`private LabelFrame` | `labelFrame`
`private MainWindow` | `mainWindow`
`private IMatrix` | `matrix`
`private MatrixFilterFrame` | `matrixFilterFrame`
`private MatrixSummaryFrame` | `matrixSummaryFrame`
`private MatrixWeightingFrame` | `matrixWeightingFrame`
`private PixelFrame` | `pixelFrame`
`private ProgressFrame` | `progressFrame`
`private Properties` | `properties`
`private InfomatPropertiesFrame` | `propertiesFrame`
`private java.lang.String` | `settingsFile`
`private SimilarityFrame` | `similarityFrame`
`private SorterFrame` | `sorterFrame`
`private StoplistFrame` | `stoplistFrame`
`private InfomatView` | `view`

Constructor Summary
`InfomatModel(MainWindow mainWindow)`

Method Summary
`void` | `alteredProperties()`
`void` | `cluster()`
`void` | `evaluation()`
`void` | `exportText()`
`void` | `filterMatrix()`
`IObjectGrouping` | `getCurrentGrouping(boolean row)`
`Properties` | `getDefaultProperties()`
`Properties` | `getFallbackProperties()`
`IMatrix` | `getIMatrix()`
`ISimilarity` | `getISimilarity(boolean row)`
`MainWindow` | `getMainWindow()`
`PixelFrame` | `getPixelFrame()`
`Properties` | `getProperties()`
`java.lang.Object` | `getPropertyValue(java.lang.String name)`
`SimilarityManager` | `getSimilarityManager()`
`boolean` | `hasIMatrix()` Do we have a matrix?
`void` | `invertMatrix()`
`void` | `labeler()`
`void` | `matrixSummary()`
`void` | `openCorpusFile(java.io.File file)` Opens a Corpus File.
`void` | `openDocumentGroupingFile(java.io.File file)` Opens a Document Grouping File.
`void` | `openIMatrixFile(java.io.File file)`
`IObjectGrouping` | `openIObjectGroupingFile(boolean row, java.io.File file)`
`void` | `openRIFile(java.io.File file)`
`void` | `openTokenFileForTextWord(java.io.File file)` Opens a Token File to read Texts and Words.
`void` | `purgeMatrix()`
`void` | `removeColumns(int colFrom, int colTo)`
`void` | `removeRows(int rowFrom, int rowTo)`
`void` | `resetImage()` Reset settings about zoom and position in the image.
`void` | `resetIMatrix()` Resets the matrix, i.e.
`void` | `resortIMatrix()`
`void` | `saveIMatrixFile(java.io.File file)`
`void` | `saveIMatrixPicture(java.io.File file)`
`void` | `saveIObjectGroupingFile(IObjectGrouping grouping, java.io.File file)`
`void` | `setChanged()`
`void` | `setProperties(Properties properties)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`
`void` | `setView(InfomatView view)` Set the view.
`void` | `showProperties()`
`void` | `sorter()`
`void` | `stoplist()`
`void` | `toggleGuide()`
`void` | `togglePixelFrame()`
`void` | `toggleSimilarityFrame()`
`void` | `update()`
`void` | `weightMatrix()`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### matrix

    private IMatrix matrix

### mainWindow

    private MainWindow mainWindow

### view

    private InfomatView view

### properties

    private Properties properties

### defaultSettingsFile

    private static java.lang.String defaultSettingsFile

### settingsFile

    private java.lang.String settingsFile

### progressFrame

    private ProgressFrame progressFrame

### matrixFilterFrame

    private MatrixFilterFrame matrixFilterFrame

### matrixWeightingFrame

    private MatrixWeightingFrame matrixWeightingFrame

### labelFrame

    private LabelFrame labelFrame

### evaluationFrame

    private EvaluationFrame evaluationFrame

### sorterFrame

    private SorterFrame sorterFrame

### algorithmFrame

    private AlgorithmFrame algorithmFrame

### matrixSummaryFrame

    private MatrixSummaryFrame matrixSummaryFrame

### exportTextFrame

    private ExportTextFrame exportTextFrame

### stoplistFrame

    private StoplistFrame stoplistFrame

### propertiesFrame

    private InfomatPropertiesFrame propertiesFrame

### pixelFrame

    private PixelFrame pixelFrame

### similarityFrame

    private SimilarityFrame similarityFrame

Constructor Detail

### InfomatModel

    public InfomatModel(MainWindow mainWindow)

Method Detail

### getDefaultProperties

    public Properties getDefaultProperties()

  Specified by:
    `getDefaultProperties` in interface `HasProperties`

### getFallbackProperties

    public Properties getFallbackProperties()

### getPropertyValue

    public java.lang.Object getPropertyValue(java.lang.String name)

  Specified by:
    `getPropertyValue` in interface `HasProperties`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws PropertyNotFoundException

  Specified by:
    `setProperty` in interface `HasProperties`
  Throws:
    `PropertyNotFoundException`

### getProperties

    public Properties getProperties()

  Specified by:
    `getProperties` in interface `HasProperties`

### setProperties

    public void setProperties(Properties properties)

  Specified by:
    `setProperties` in interface `HasProperties`

### setChanged

    public void setChanged()

  Overrides:
    `setChanged` in class `java.util.Observable`

### hasIMatrix

    public boolean hasIMatrix()

  Do we have a matrix?

  Returns:
    true if we have a matrix

### getIMatrix

    public IMatrix getIMatrix()

  Returns:
    the current matrix object

### resetIMatrix

    public void resetIMatrix()

  Resets the matrix, i.e. sets it to null; no matrix.

### getMainWindow

    public MainWindow getMainWindow()

### getISimilarity

    public ISimilarity getISimilarity(boolean row)

### getSimilarityManager

    public SimilarityManager getSimilarityManager()

### getCurrentGrouping

    public IObjectGrouping getCurrentGrouping(boolean row)

### setView

    public void setView(InfomatView view)

  Set the view. Must me done!!

  Parameters:
    `view` - The view.

### update

    public void update()

### openTokenFileForTextWord

    public void openTokenFileForTextWord(java.io.File file)

  Opens a Token File to read Texts and Words.

### openCorpusFile

    public void openCorpusFile(java.io.File file)

  Opens a Corpus File.

### openDocumentGroupingFile

    public void openDocumentGroupingFile(java.io.File file)

  Opens a Document Grouping File.

### removeColumns

    public void removeColumns(int colFrom,
                              int colTo)

### removeRows

    public void removeRows(int rowFrom,
                           int rowTo)

### resortIMatrix

    public void resortIMatrix()

### resetImage

    public void resetImage()

  Reset settings about zoom and position in the image.

### saveIMatrixPicture

    public void saveIMatrixPicture(java.io.File file)

### saveIMatrixFile

    public void saveIMatrixFile(java.io.File file)

### saveIObjectGroupingFile

    public void saveIObjectGroupingFile(IObjectGrouping grouping,
                                        java.io.File file)

### openRIFile

    public void openRIFile(java.io.File file)

### openIMatrixFile

    public void openIMatrixFile(java.io.File file)

### openIObjectGroupingFile

    public IObjectGrouping openIObjectGroupingFile(boolean row,
                                                   java.io.File file)

### purgeMatrix

    public void purgeMatrix()

### filterMatrix

    public void filterMatrix()

### weightMatrix

    public void weightMatrix()

### invertMatrix

    public void invertMatrix()

### labeler

    public void labeler()

### evaluation

    public void evaluation()

### sorter

    public void sorter()

### cluster

    public void cluster()

### matrixSummary

    public void matrixSummary()

### exportText

    public void exportText()

### stoplist

    public void stoplist()

### showProperties

    public void showProperties()

### alteredProperties

    public void alteredProperties()

### toggleGuide

    public void toggleGuide()

### togglePixelFrame

    public void togglePixelFrame()

### getPixelFrame

    public PixelFrame getPixelFrame()

### toggleSimilarityFrame

    public void toggleSimilarityFrame()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD